Subject: [Pals] Feedback request for draft-schmutzer-pals-ple

From: "Christian Schmutzer (cschmutz)" <[email-masked]>
Date: Tue, 22 Feb 2022 14:49:50 +0000

Dear PALS community,

The authors of https://datatracker.ietf.org/doc/html/draft-schmutzer-bess-ple have added a new section (5.3) to cover the data plane aspects for 200GE and 400GE.

Based on the input received in the past we also now renamed this individual draft to be directed towards the PALS WG.
https://datatracker.ietf.org/doc/html/draft-schmutzer-pals-ple

We would appreciate your review and feedback

regards
Christian

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 22 Feb 2022 10:56:31 -0500

Christian,

Thanks for the note and aiming the draft at PALS. I've also added your
co-authors to this reply, in case any of them aren't (yet) subscribed to
the PALS list.

To start the discussion, when I looked through the draft I didn't see any
references to RFC 4842, which is more than a bit of an omission. The draft
very much needs a general applicability discussion comparing this draft to
existing PALS and PWE3 RFCs in your solution space and when this draft
should be used rather than existing mechanisms.

Thanks,
Andy

On Tue, Feb 22, 2022 at 9:50 AM Christian Schmutzer (cschmutz) <cschmutz=
[email-masked]> wrote:

> Dear PALS community,
>
> The authors of
> https://datatracker.ietf.org/doc/html/draft-schmutzer-bess-ple have added
> a new section (5.3) to cover the data plane aspects for 200GE and 400GE.
>
> Based on the input received in the past we also now renamed this
> individual draft to be directed towards the PALS WG.
> _______________________________________________
> Pals mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pals
>

---

From: "Christian Schmutzer (cschmutz)" <[email-masked]>
Date: Wed, 23 Feb 2022 14:13:23 +0000

Hi Andy,

Many thanks for having a look at our draft.

PLE is very similar to RFC4553 (SAToP) where any multiplexing structure of the carried bit-stream is ignored. However RFC4553 was only defined for E1/T1/E3/T3 PDH interfaces and hence we started this new draft to widen the scope of bit-streams that can be carried.

In contrast RFC4842 (CEP) and RFC5086 (CESoPSN) are aware of the SONET/SDH or NxDS0 multiplexing structure, terminate it and the pseudowire is used to carry virtual containers or channels.

We already pointed to RFC4553 in the introduction section of our draft to highlight the similarity.

If it helps the clarity of the draft we can also expand there on how other RFCs such as RFC4842 and RFC5086 are different?

Regards
Christian

On 22.02.2022, at 16:56, Andrew G. Malis <[email-masked]<mailto:[email-masked]>> wrote:

Christian,

Thanks for the note and aiming the draft at PALS. I've also added your co-authors to this reply, in case any of them aren't (yet) subscribed to the PALS list.

To start the discussion, when I looked through the draft I didn't see any references to RFC 4842, which is more than a bit of an omission. The draft very much needs a general applicability discussion comparing this draft to existing PALS and PWE3 RFCs in your solution space and when this draft should be used rather than existing mechanisms.

Thanks,
Andy

On Tue, Feb 22, 2022 at 9:50 AM Christian Schmutzer (cschmutz) <cschmutz=[email-masked]<mailto:[email-masked]>> wrote:
Dear PALS community,

regards
Christian

_______________________________________________
Pals mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pals

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 23 Feb 2022 09:30:48 -0500

Christian,

Yes, absolutely, and also include, if you can, scenarios or examples where
PLE would be preferred. These are questions that would otherwise come up
during the review process prior to publication.

Thanks,
Andy

On Wed, Feb 23, 2022 at 9:13 AM Christian Schmutzer (cschmutz) <
[email-masked]> wrote:

> PLE is very similar to RFC4553 (SAToP) where any multiplexing structure of
> the carried bit-stream is ignored. However RFC4553 was only defined for
> E1/T1/E3/T3 PDH interfaces and hence we started this new draft to widen the
> scope of bit-streams that can be carried.
>
> In contrast RFC4842 (CEP) and RFC5086 (CESoPSN) are aware of the SONET/SDH
> or NxDS0 multiplexing structure, terminate it and the pseudowire is used to
> carry virtual containers or channels.
>
> If it helps the clarity of the draft we can also expand there on how other
> RFCs such as RFC4842 and RFC5086 are different?
>
> Regards
> Christian
>
> On 22.02.2022, at 16:56, Andrew G. Malis <[email-masked]> wrote:
>
> Christian,
>
>> https://datatracker.ietf.org/doc/html/draft-schmutzer-bess-ple have
>> added a new section (5.3) to cover the data plane aspects for 200GE and
>> 400GE.
>>